Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# IParticleAffector.h File Reference

`#include "IAttributeExchangingObject.h"`
`#include "SParticle.h"`

Go to the source code of this file.

## Classes

class | irr::scene::IParticleAffector
| A particle affector modifies particles. More...

## Namespaces

namespace | irr

| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::scene

| All scene management can be found in this namespace: Mesh loading, special scene nodes like octrees and billboards, ...

## Enumerations

enum | irr::scene::E_PARTICLE_AFFECTOR_TYPE { irr::scene::EPAT_NONE = 0, irr::scene::EPAT_ATTRACT, irr::scene::EPAT_FADE_OUT, irr::scene::EPAT_GRAVITY, irr::scene::EPAT_ROTATE, irr::scene::EPAT_SCALE, irr::scene::EPAT_COUNT }
| Types of built in particle affectors. More...

## Variables

const c8 *const | irr::scene::ParticleAffectorTypeNames []
| Names for built in particle affectors.

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Feb 14 13:06:59 2010 by Doxygen (1.6.2)